/*
 * ServiceExecutionException.java
 * Copyright (C) 2008 Cyber Beans Corporation. All rights reserved.
 */
package jp.co.cybec.cb3.exception;

/**
 * サービスから発生する例外クラス。
 * @author Naoko Sugimoto
 */
public class ServiceExecutionException extends ServiceRuntimeException {

	/**
	 * シリアルバージョンUID
	 */
	private static final long serialVersionUID = 3980764784154691221L;

	/**
	 * コンストラクタ。
	 * @param cause 発生元の例外
	 */
	public ServiceExecutionException(Exception cause) {
		super(cause);
	}

	/**
	 * コンストラクタ。
	 * @param msg メッセージ
	 */
	public ServiceExecutionException(String msg) {
		super(msg);
	}

	/**
	 * コンストラクタ。
	 * @param msg メッセージ
	 * @param cause 発生元の例外
	 */
	public ServiceExecutionException(String msg, Exception cause) {
		super(msg, cause);
	}
}
